umbrello 2.32.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

Public Member Functions | Private Attributes | List of all members
Uml::CmdRenameUMLInstanceType Class Reference

`#include <cmdrenameumlinstancetype.h>`

Inheritance diagram for Uml::CmdRenameUMLInstanceType:

## Public Member Functions
| CmdRenameUMLInstanceType (UMLInstance *o, UMLClassifier *type)
| ~CmdRenameUMLInstanceType ()
void | redo ()
void | undo ()

## Private Attributes
QPointer< UMLInstance > | m_obj
QPointer< UMLClassifier > | m_type
QPointer< UMLClassifier > | m_oldType

## Constructor & Destructor Documentation

## ◆ CmdRenameUMLInstanceType()

Uml::CmdRenameUMLInstanceType::CmdRenameUMLInstanceType | ( | UMLInstance * | o,
|  | UMLClassifier * | type
| ) |  |

## ◆ ~CmdRenameUMLInstanceType()

Uml::CmdRenameUMLInstanceType::~CmdRenameUMLInstanceType | ( |  | ) |

## Member Function Documentation

## ◆ redo()

void Uml::CmdRenameUMLInstanceType::redo | ( |  | ) |

## ◆ undo()

void Uml::CmdRenameUMLInstanceType::undo | ( |  | ) |

## Member Data Documentation

## ◆ m_obj

QPointer<UMLInstance> Uml::CmdRenameUMLInstanceType::m_obj
| private

## ◆ m_oldType

QPointer<UMLClassifier> Uml::CmdRenameUMLInstanceType::m_oldType
| private

## ◆ m_type

QPointer<UMLClassifier> Uml::CmdRenameUMLInstanceType::m_type
| private

The documentation for this class was generated from the following files:

- umbrello/cmds/generic/cmdrenameumlinstancetype.h
- umbrello/cmds/generic/cmdrenameumlinstancetype.cpp